Page Summary
-
The
channels.listmethod lists channels for a specified partner or advertiser. -
The HTTP request for listing channels uses a GET method and includes the partnerId in the path.
-
Query parameters like
pageSize,pageToken,orderBy,filter, andadvertiserIdcan be used to refine the list results. -
The request body is empty, and a successful response returns a
ListChannelsResponseobject. -
Authorization requires the
https://www.googleapis.com/auth/display-videoOAuth scope.
Lists channels for a partner or advertiser.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}/channels
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
partnerId |
The ID of the partner that owns the channels. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: |
filter |
Allows filtering by channel fields. Supported syntax:
Examples:
The length of this field should be no more than 500 characters. |
advertiserId |
The ID of the advertiser that owns the channels. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListChannelsResponse.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.